> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Followers

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /user/followers`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#list-followers-of-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - List followers of the authenticated user
* [`GET /user/following`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#list-the-people-the-authenticated-user-follows) <Badge color="blue" size="sm">UAT</Badge> - List the people the authenticated user follows
* [`GET /user/following/{username}`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#check-if-a-person-is-followed-by-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Check if a person is followed by the authenticated user
* [`PUT /user/following/{username}`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#follow-a-user) <Badge color="blue" size="sm">UAT</Badge> - Follow a user
* [`DELETE /user/following/{username}`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#unfollow-a-user) <Badge color="blue" size="sm">UAT</Badge> - Unfollow a user
* [`GET /users/{username}/followers`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#list-followers-of-a-user) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List followers of a user
* [`GET /users/{username}/following`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#list-the-people-a-user-follows) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List the people a user follows
* [`GET /users/{username}/following/{target_user}`](https://docs.github.com/enterprise-cloud@latest/rest/users/followers#check-if-a-user-follows-another-user) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Check if a user follows another user
